﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 654C: (1 yr) VER IEEE /5520A+SC600+TDP
DATE:                  2017-05-01 07:33:29
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       246
CONFIGURATION:         Fluke 5520A (S6)
STANDARD:              Fluke 5800A/TDP
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5520         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  STD          Fluke 5800A/TDP

  1.005  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

# Verify MET/VERsion compatibility.
  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...

  1.023  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.024  MATH         @UUT_Model        = "TDS 654C"
  1.025  MATH         @UUT_AssetNum     = UUT()

  1.026  IF           NOT(EMPTY(@UUT_AssetNum))
  1.027  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.028  ENDIF

  1.029  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.031  JMPL         END                          @Abort

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to review the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         The following additional equipment and/or accessories
  1.035  DISP         are required:
  1.035  DISP
  1.035  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.035  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.035  DISP         - Dual Input Coupler (BNC)
  1.035  DISP         - 50 Ohm Feedthrough (BNC)
  1.036  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.037  CALL         Sub TDS600C Specifications
  1.038  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.039  JMPL         END                          @Abort
  1.040  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.041  JMPL         END                          @Abort

# Specify channel to test.
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.044  MATH         @Chan = 2
  1.045  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.046  MATH         @Chan = 3
  1.047  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.048  MATH         @Chan = 4
  1.049  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.050  MATH         @Chan = 1
  1.051  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5520+S6
  1.052  JMPL         BANDWIDTH_CH1

  1.053  LABEL        DCV_ACC_CH2
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5520+S6
  1.056  JMPL         BANDWIDTH_CH2

  1.057  LABEL        DCV_ACC_CH3
  1.058  MATH         @Chan = 3
  1.059  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5520+S6
  1.060  JMPL         BANDWIDTH_CH3

  1.061  LABEL        DCV_ACC_CH4
  1.062  MATH         @Chan = 4
  1.063  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5520+S6
  1.064  JMPL         BANDWIDTH_CH4

  1.065  LABEL        BANDWIDTH_CH1
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5520+S6
  1.068  JMPL         TIMEBASE_TRIGGER

  1.069  LABEL        BANDWIDTH_CH2
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5520+S6
  1.072  JMPL         TRIG_SENS_CH2

  1.073  LABEL        BANDWIDTH_CH3
  1.074  MATH         @Chan = 3
  1.075  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5520+S6
  1.076  JMPL         TRIG_SENS_CH3

  1.077  LABEL        BANDWIDTH_CH4
  1.078  MATH         @Chan = 4
  1.079  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5520+S6
  1.080  JMPL         TRIG_SENS_CH4

  1.081  LABEL        DELAY_MATCH
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub TDS600C (1 yr) Delay Match IEEE /5520+S6
  1.084  JMPL         OUTPUT_SIGNAL

  1.085  LABEL        TIMEBASE_TRIGGER
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub TDS600C (1 yr) Time Base IEEE /5520+S6
  1.088  JMPL         TRIG_TIME_ACC

  1.089  LABEL        DELTA_TIME
  1.090  MATH         @Chan = 1
  1.091  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5520+S6+TDP
  1.092  MATH         @Chan = 2
  1.093  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5520+S6+TDP
  1.094  MATH         @Chan = 3
  1.095  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5520+S6+TDP
  1.096  MATH         @Chan = 4
  1.097  CALL         Sub TDS654C (1 yr) Delta Time IEEE /5520+S6+TDP
  1.098  JMPL         END

  1.099  LABEL        TRIG_TIME_ACC
  1.100  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /5520+S6
  1.101  CALL         Sub TDS600C (1 yr) Sens IEEE /5520+S6
 # If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.102  OPBR         -z Each channel trig sensitivity test will take about
  1.102  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.102  OPBR         channels to save time, unless desired.
  1.102  OPBR
  1.102  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.102  OPBR         3, and 4?
  1.103  MATH         @TestCh234Sens = MEM1

  1.104  MATH         @Chan = 1
  1.105  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /5520+S6
  1.106  JMPL         DCV_ACC_CH2

  1.107  LABEL        TRIG_SENS_CH2

  1.108  IF           @TestCh234Sens
  1.109  MATH         @Chan = 2
  1.110  CALL         Sub TDS600C (1 yr) Sens IEEE /5520+S6
  1.111  ENDIF

  1.112  JMPL         DCV_ACC_CH3

  1.113  LABEL        TRIG_SENS_CH3

  1.114  IF           @TestCh234Sens
  1.115  MATH         @Chan = 3
  1.116  CALL         Sub TDS600C (1 yr) Sens IEEE /5520+S6
  1.117  ENDIF

  1.118  JMPL         DCV_ACC_CH4

  1.119  LABEL        TRIG_SENS_CH4

  1.120  IF           @TestCh234Sens
  1.121  MATH         @Chan = 4
  1.122  CALL         Sub TDS600C (1 yr) Sens IEEE /5520+S6
  1.123  ENDIF

  1.124  JMPL         DELAY_MATCH

  1.125  LABEL        OUTPUT_SIGNAL
  1.126  CALL         Sub TDS600C (1 yr) Output Signal IEEE /5520+S6
  1.127  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /5520+S6
  1.128  JMPL         DELTA_TIME

  1.129  LABEL        END
  1.130  IEEE2        *RST;DESE 61

  1.131  IF           @Abort
  1.132  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.133  ENDIF

  1.134  END
